package wekan.wrapper.entity;

public class BoardPrototype {
    private String title;
    private String owner;
    private boolean isAdmin = true;
    private boolean isActive = true;
    private boolean isNoComments = false;
    private boolean isCommentOnly = false;
    private Permission permission = Permission.PRIVATE;
    private Color color = Color.BELIZE;

    public BoardPrototype(String title, String owner) {
        this.title = title;
        this.owner = owner;
    }

    public BoardPrototype(String title, String owner, Color color) {
        this.title = title;
        this.owner = owner;
        this.color = color;
    }
}


